GET
/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons2609170000[Instant Discount Coupon] Query a list of coupons (orderId)
# 01
Summary
[Instant Discount Coupon] Query a list of coupons (orderId)
# 02
Details
Available buyer market: Korea
This API queries coupon info by order ID.
Path
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/{orderId}/coupons
Example endpoint
https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/8000000000294/coupons# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Seller ID Unique code issued to Vendor by Coupang ex) A00012345 |
| orderId* | number | Order ID
|
# 04
Response body
Response message
| Name | Type | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | Server response code
| ||||||||||||
| message | string | Server response message
| ||||||||||||
| httpStatus | integer | HTTP Status Code (same as the server response code)
| ||||||||||||
| httpStatusMessage | string | HTTP Status Message (same as the server response message)
| ||||||||||||
| errorMessage | string | Detailed reason for error other than HTTP Status 200
| ||||||||||||
| data | object | Coupon info data
| ||||||||||||
| success data.success | boolean | Success or failure true or false | ||||||||||||
| content data.content | object[] | Coupon info data
| ||||||||||||
| contractId data.content[].contractId | integer | Vendor's contract ID ex) 1, 2 | ||||||||||||
| couponId data.content[].couponId | integer | Coupon ID ex) 75, 80 | ||||||||||||
| discount data.content[].discount | integer | Discount rate ex) 100.0, 20.0 | ||||||||||||
| endAt data.content[].endAt | string | Effective end date/time ex) 2017-09-01 00:00:00 | ||||||||||||
| maxDiscountPrice data.content[].maxDiscountPrice | integer | Max. discount amount ex) 1000, 10000 | ||||||||||||
| promotionName data.content[].promotionName | string | Promotin name ex) Dress discount coupon for the 2nd wk of Jan | ||||||||||||
| startAt data.content[].startAt | string | Effective start date/time ex) 2017-08-04 01:00:00 | ||||||||||||
| status data.content[].status | string | Coupon status
| ||||||||||||
| type data.content[].type | string | Discount type ex) RATE (fixed-rate discount), FIXED_WITH_QUANTITY (fixed-amount discount per quantity) and PRICE (fix-amount discount) | ||||||||||||
| wowExclusive data.content[].wowExclusive | string | Issuance target false (all: Default) true (Rocket Wow members) | ||||||||||||
| vendorItemId data.content[].vendorItemId | integer | Option ID ex) 3223826213 | ||||||||||||
| Pagination data.Pagination | string | No pagination for query by orderId
|
Response Example
{
"code": 200,
"message": "OK",
"httpStatus": 200,
"httpStatusMessage": "OK",
"errorMessage": "",
"data": {
"success": true,
"content": [
{
"vendorItemId": 5500016112,
"contractId": 10,
"promotionName": "99%",
"couponId": 91,
"status": "PAUSED",
"type": "RATE",
"maxDiscountPrice": 1000000,
"discount": 99,
"startAt": "2017-11-22 00:00:00",
"endAt": "2017-11-23 23:59:00",
"wowExclusive": "false"
},
{
"vendorItemId": 53000439458,
"contractId": 7,
"promotionName": "자유계약 원피스 폭탄 세일 시즌 1",
"couponId": 65,
"status": "PAUSED",
"type": "RATE",
"maxDiscountPrice": 1000,
"discount": 10,
"startAt": "2017-09-22 00:00:00",
"endAt": "2017-09-23 23:59:00",
"wowExclusive": "false"
}
],
"pagination": null
}
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (check request parameter) | Check access to the vendor info. | Check if the seller ID (vendorId) is correct. |